Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs	(revision 16462)
@@ -23,10 +23,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Feature Correlation Matrix", "Represents the feature correlation matrix.")]
-  [StorableClass]
+  [StorableType("E6B5FD30-847E-4AA5-8638-9CD166E10C22")]
   public class CorrelationMatrixContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -63,6 +63,5 @@
 
     [StorableConstructor]
-    protected CorrelationMatrixContent(bool deserializing)
-      : base(deserializing) { }
+    protected CorrelationMatrixContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs	(revision 16462)
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Data Completeness Chart", "Represents a datacompleteness chart.")]
-  [StorableClass]
+  [StorableType("C3709BBA-D024-482C-9D28-E15B1F2B2F54")]
   public class DataCompletenessChartContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -46,6 +46,5 @@
 
     [StorableConstructor]
-    protected DataCompletenessChartContent(bool deserializing)
-      : base(deserializing) { }
+    protected DataCompletenessChartContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs	(revision 16462)
@@ -27,10 +27,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Data Grid", "Represents a data grid.")]
-  [StorableClass]
+  [StorableType("DC6AE5CE-B0FA-4C8C-BDBB-D490C6DE4174")]
   public class DataGridContent : PreprocessingContent, IStringConvertibleMatrix, IViewShortcut {
     public static new Image StaticItemImage {
@@ -85,6 +85,5 @@
 
     [StorableConstructor]
-    protected DataGridContent(bool deserializing)
-      : base(deserializing) { }
+    protected DataGridContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.DataPreprocessing.Filter;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Filter", "Represents the filter grid.")]
-  [StorableClass]
+  [StorableType("A1676153-6E8F-48B5-8FC4-EB0E8060179D")]
   public class FilterContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -83,6 +83,5 @@
 
     [StorableConstructor]
-    protected FilterContent(bool deserializing)
-      : base(deserializing) { }
+    protected FilterContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Histogram", "Represents the histogram grid.")]
-  [StorableClass]
+  [StorableType("FD29EAB3-ABE6-49F4-A162-16E11790F7D5")]
   public class HistogramContent : PreprocessingChartContent {
     public static new Image StaticItemImage {
@@ -66,6 +66,5 @@
 
     [StorableConstructor]
-    protected HistogramContent(bool deserializing)
-      : base(deserializing) { }
+    protected HistogramContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs	(revision 16462)
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Line Chart", "Represents the line chart grid.")]
-  [StorableClass]
+  [StorableType("F874E5FD-27A8-471F-91D5-598392655FA4")]
   public class LineChartContent : PreprocessingChartContent {
     public static new Image StaticItemImage {
@@ -52,6 +52,5 @@
 
     [StorableConstructor]
-    protected LineChartContent(bool deserializing)
-      : base(deserializing) { }
+    protected LineChartContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Manipulation", "Represents the available manipulations on a data set.")]
-  [StorableClass]
+  [StorableType("42EE7A94-807F-482D-BE64-F98B05896B16")]
   public class ManipulationContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -49,6 +49,5 @@
 
     [StorableConstructor]
-    protected ManipulationContent(bool deserializing)
-      : base(deserializing) { }
+    protected ManipulationContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs	(revision 16462)
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Multi Scatter Plot", "Represents a multi scatter plot.")]
-  [StorableClass]
+  [StorableType("1F55FF9A-2EE3-4A5B-BEF4-8F19D9A3A54D")]
   public class MultiScatterPlotContent : ScatterPlotContent {
     public static new Image StaticItemImage {
@@ -46,6 +46,5 @@
 
     [StorableConstructor]
-    protected MultiScatterPlotContent(bool deserializing)
-      : base(deserializing) { }
+    protected MultiScatterPlotContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs	(revision 16462)
@@ -29,9 +29,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("PreprocessingChart", "Represents a preprocessing chart.")]
-  [StorableClass]
+  [StorableType("7EDAFA6E-E4B1-4150-BB57-280A9F9E61D8")]
   public class PreprocessingChartContent : PreprocessingContent, IViewShortcut {
     public enum LegendOrder {
@@ -73,6 +73,5 @@
 
     [StorableConstructor]
-    protected PreprocessingChartContent(bool deserializing)
-      : base(deserializing) { }
+    protected PreprocessingChartContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingContent.cs	(revision 16462)
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("PreprocessingContent", "")]
-  [StorableClass]
+  [StorableType("16A5E913-08C6-4286-AD2F-4598ACB60F74")]
   public abstract class PreprocessingContent : Item {
 
@@ -43,6 +43,5 @@
 
     [StorableConstructor]
-    protected PreprocessingContent(bool deserializing)
-      : base(deserializing) { }
+    protected PreprocessingContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs	(revision 16462)
@@ -26,10 +26,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Visualization.ChartControlsExtensions;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("ScatterPlotContent", "")]
-  [StorableClass]
+  [StorableType("CF1014CB-9B19-4653-AEC2-630C231D89B2")]
   public abstract class ScatterPlotContent : PreprocessingChartContent {
     [Storable]
@@ -47,6 +47,5 @@
 
     [StorableConstructor]
-    protected ScatterPlotContent(bool deserializing)
-      : base(deserializing) { }
+    protected ScatterPlotContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs	(revision 16462)
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Scatter Plot", "Represents a scatter plot.")]
-  [StorableClass]
+  [StorableType("7DED0A9A-8999-483F-9F4E-130B7B8A0E76")]
   public class SingleScatterPlotContent : ScatterPlotContent {
     public static new Image StaticItemImage {
@@ -53,6 +53,5 @@
 
     [StorableConstructor]
-    protected SingleScatterPlotContent(bool deserializing)
-      : base(deserializing) { }
+    protected SingleScatterPlotContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs	(revision 16462)
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Statistics", "Represents the statistics grid.")]
-  [StorableClass]
+  [StorableType("09B05895-BEE1-4D52-A6ED-504472D8A1FE")]
   public class StatisticsContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -46,6 +46,5 @@
 
     [StorableConstructor]
-    protected StatisticsContent(bool deserializing)
-      : base(deserializing) { }
+    protected StatisticsContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs	(revision 16462)
@@ -23,10 +23,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Transformation", "Represents the transformation grid.")]
-  [StorableClass]
+  [StorableType("43EBAA29-D1FC-4187-8567-0003D88BD748")]
   public class TransformationContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -52,6 +52,5 @@
 
     [StorableConstructor]
-    protected TransformationContent(bool deserializing)
-      : base(deserializing) { }
+    protected TransformationContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs	(revision 16462)
@@ -26,10 +26,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("FilteredPreprocessingData", "Represents filtered data used for preprocessing.")]
-  [StorableClass]
+  [StorableType("26BAE57C-A102-483D-8A09-AEC7132FD837")]
   public sealed class FilteredPreprocessingData : NamedItem, IFilteredPreprocessingData {
 
@@ -60,6 +60,5 @@
 
     [StorableConstructor]
-    private FilteredPreprocessingData(bool deserializing)
-      : base(deserializing) { }
+    private FilteredPreprocessingData(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs	(revision 16462)
@@ -28,5 +28,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -34,5 +34,5 @@
 
   [Item("PreprocessingData", "Represents data used for preprocessing.")]
-  [StorableClass]
+  [StorableType("DDF0FC89-E180-47EB-B96E-CBD9E15D697E")]
   public class PreprocessingData : NamedItem, IPreprocessingData {
 
@@ -73,6 +73,5 @@
 
     [StorableConstructor]
-    protected PreprocessingData(bool deserializing)
-      : base(deserializing) { }
+    protected PreprocessingData(StorableConstructorFlag _) : base(_) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Filter/ComparisonFilter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Filter/ComparisonFilter.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/Filter/ComparisonFilter.cs	(revision 16462)
@@ -22,4 +22,5 @@
 using System;
 using System.Drawing;
+using HEAL.Fossil;
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
@@ -53,5 +54,6 @@
 
     public ComparisonFilter() : base() { }
-    protected ComparisonFilter(bool deserializing) : base(deserializing) { }
+    [StorableConstructor]
+    protected ComparisonFilter(StorableConstructorFlag _) : base(_) { }
 
     public ComparisonFilter(IPreprocessingData constrainedValue, ConstraintOperation constraintOperation, object constraintData)
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/HeuristicLab.DataPreprocessing-3.4.csproj
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/HeuristicLab.DataPreprocessing-3.4.csproj	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/HeuristicLab.DataPreprocessing-3.4.csproj	(revision 16462)
@@ -76,5 +76,5 @@
       <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
     </Reference>
-    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
+    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <HintPath>..\..\packages\HEAL.Fossil.1.0.0\lib\netstandard2.0\HEAL.Fossil.dll</HintPath>
     </Reference>
Index: branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/PreprocessingContext.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/PreprocessingContext.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.DataPreprocessing/3.4/PreprocessingContext.cs	(revision 16462)
@@ -25,10 +25,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("PreprocessingContext", "PreprocessingContext")]
-  [StorableClass]
+  [StorableType("52D31B2B-7D48-482B-B875-5FCE0F8397A8")]
   public class PreprocessingContext : NamedItem, IStorableContent {
     public string Filename { get; set; }
@@ -50,6 +50,5 @@
 
     [StorableConstructor]
-    protected PreprocessingContext(bool deserializing)
-      : base(deserializing) { }
+    protected PreprocessingContext(StorableConstructorFlag _) : base(_) { }
     protected PreprocessingContext(PreprocessingContext original, Cloner cloner)
       : base(original, cloner) {
